policy_import.c File Reference
`#include "log.h"`
`#include "clientpipe.h"`
`#include "db/policy.h"`
`#include "db/policy_key.h"`
`#include "utils/kc_helper.h"`
`#include "db/zone_db.h"`
`#include "db/hsm_key.h"`
`#include "hsmkey/hsm_key_factory.h"`
`#include "signconf/signconf_task.h"`
`#include "policy/policy_import.h"`
`#include <libxml/parser.h>`
`#include <libxml/tree.h>`

Go to the source code of this file.

## Data Structures

struct | __policy_import_policy_key
struct | __policy_import_policy

## Functions

int | policy_import (int sockfd, engine_type *engine, db_connection_t *dbconn, int do_delete)

## Function Documentation

## policy_import()

int policy_import | ( | int | sockfd,
|  | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | int | do_delete )

Definition at line 196 of file policy_import.c.

References check_kasp(), hsm_key_factory_schedule_generate_all(), hsm_key_list_free(), hsm_key_list_new_get_by_policy_id(), hsm_key_list_next(), __policy_import_policy::name, __policy_import_policy::next, __policy_import_policy_key::next, policy_create(), policy_create_from_xml(), policy_delete(), policy_free(), policy_get_by_name(), policy_id(), POLICY_IMPORT_ERR_ARGS, POLICY_IMPORT_ERR_DATABASE, POLICY_IMPORT_ERR_MEMORY, POLICY_IMPORT_ERR_XML, POLICY_IMPORT_OK, __policy_import_policy_key::policy_key, policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_create_from_xml(), policy_key_delete(), policy_key_free(), policy_key_list_free(), policy_key_list_get_by_policy_id(), policy_key_list_get_next(), policy_key_list_new(), policy_key_list_new_get_by_policy_id(), policy_key_list_next(), policy_key_new(), policy_key_role_text(), policy_key_set_policy_id(), policy_list_free(), policy_list_new_get(), policy_list_next(), policy_name(), policy_new(), policy_update(), policy_update_from_xml(), __policy_import_policy::processed, __policy_import_policy_key::processed, signconf_task_flush_all(), zone_list_db_free(), zone_list_db_new_get_by_policy_id(), and zone_list_db_next().